package cn.dg32z.lon.utils.data.packetentity;

import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.attribute.Attribute;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.entity.type.EntityType;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.potion.PotionType;
import cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3d;
import cn.dg32z.libs.it.unimi.dsi.fastutil.objects.Object2IntMap;
import cn.dg32z.libs.it.unimi.dsi.fastutil.objects.Object2IntOpenHashMap;
import cn.dg32z.lon.player.PlayerData;
import cn.dg32z.lon.utils.collisions.datatypes.CollisionBox;
import cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox;
import cn.dg32z.lon.utils.data.ReachInterpolationData;
import cn.dg32z.lon.utils.data.TrackedPosition;
import cn.dg32z.lon.utils.data.attribute.ValuedAttribute;
import java.security.MessageDigest;
import java.util.ArrayList;
import java.util.IdentityHashMap;
import java.util.List;
import java.util.Map;
import java.util.Optional;
import java.util.OptionalInt;
import java.util.UUID;
import javax.crypto.Cipher;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;

/* loaded from: cn_dg32z_lon_utils_data_packetentity.jar:cn/dg32z/lon/utils/data/packetentity/PacketEntity.class */
public class PacketEntity extends TypedPacketEntity {
    public PacketEntity riding;
    public boolean isBaby;
    private ReachInterpolationData oldPacketLocation;
    private final UUID uuid;
    private Object2IntMap potionsMap;
    private ReachInterpolationData newPacketLocation;
    public List passengers;
    public boolean isDead;
    public final TrackedPosition trackedServerPosition;
    protected final Map attributeMap;
    public boolean hasGravity;
    static Object a;

    public PacketEntity(PlayerData playerData, UUID uuid, EntityType entityType, double d, double d2, double d3) {
        super(entityType);
        this.attributeMap = new IdentityHashMap();
        this.passengers = new ArrayList(0);
        this.isDead = false;
        this.isBaby = false;
        this.hasGravity = true;
        this.potionsMap = null;
        this.uuid = uuid;
        initAttributes(playerData);
        this.trackedServerPosition = new TrackedPosition();
        this.trackedServerPosition.setPos(new Vector3d(d, d2, d3));
        if (playerData.getClientVersion().isOlderThan(ClientVersion.V_1_9)) {
            this.trackedServerPosition.setPos(new Vector3d(((int) (d * 32.0d)) / 32.0d, ((int) (d2 * 32.0d)) / 32.0d, ((int) (d3 * 32.0d)) / 32.0d));
        }
        Vector3d pos = this.trackedServerPosition.getPos();
        this.newPacketLocation = new ReachInterpolationData(playerData, new SimpleCollisionBox(pos.x, pos.y, pos.z, pos.x, pos.y, pos.z, false), this.trackedServerPosition, this);
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public UUID getUuid() {
        return this.uuid;
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public double getAttributeValue(Attribute attribute) {
        ValuedAttribute valuedAttribute = (ValuedAttribute) this.attributeMap.get(attribute);
        if (727.5042f - 8.756662f == 718.74756f) {
        }
        if (valuedAttribute != null) {
            return valuedAttribute.get();
        }
        if (1391.208251953125d - 0.3d == 1390.9082f) {
        }
        throw new IllegalArgumentException("Cannot get attribute " + String.valueOf(attribute.getName()) + " for entity " + getType().getName().toString() + "!");
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -3
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:20:0x0033 -> B:5:0x006d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:8:0x00d0 -> B:3:0x0003). Please report as a decompilation issue!!! */
    protected void initAttributes(cn.dg32z.lon.player.PlayerData r10) {
        /*
            r9 = this;
            goto L7e
        L3:
            cn.dg32z.lon.utils.data.attribute.ValuedAttribute r-3 = r-3.requiredVersion(r-2, r-1)
            r-2 = 1143418182(0x44272d46, float:668.7074)
            r-1 = 1092282526(0x411ae89e, float:9.681791)
            float r-2 = r-2 - r-1
            r-1 = 1143259556(0x4424c1a4, float:659.02563)
            int r-2 = (r-2 > r-1 ? 1 : (r-2 == r-1 ? 0 : -1))
            if (r-2 == 0) goto L6d
            goto L39
        L14:
            cn.dg32z.lon.utils.data.attribute.ValuedAttribute r-5 = r-5.requiredVersion(r-4, r-3)
            r-4 = 1141850217(0x440f4069, float:573.0064)
            r-3 = 1090822978(0x4104a342, float:8.289858)
            float r-4 = r-4 - r-3
            r-3 = 1141714396(0x440d2ddc, float:564.71655)
            int r-4 = (r-4 > r-3 ? 1 : (r-4 == r-3 ? 0 : -1))
            if (r-4 != 0) goto L9f
            goto L9f
        L25:
            cn.dg32z.lon.utils.data.attribute.ValuedAttribute r-7 = r-7.requiredVersion(r-6, r-5)
            r-6 = 4650304943792586752(0x408933b540000000, double:806.4635009765625)
            r-5 = 4604480259023595110(0x3fe6666666666666, double:0.7)
            double r-6 = r-6 - r-5
            r-5 = 1145663709(0x444970dd, float:805.7635)
            double r-5 = (double) r-5
            int r-6 = (r-6 > r-5 ? 1 : (r-6 == r-5 ? 0 : -1))
            if (r-6 != 0) goto L39
            goto L6d
        L39:
            r-4.trackAttribute(r-3)
            r-4 = 4648981856568475648(0x4084805e00000000, double:656.0458984375)
            r-3 = 4599075939470750515(0x3fd3333333333333, double:0.3)
            double r-4 = r-4 - r-3
            r-3 = 1143205821(0x4423efbd, float:655.7459)
            double r-3 = (double) r-3
            int r-4 = (r-4 > r-3 ? 1 : (r-4 == r-3 ? 0 : -1))
            if (r-4 != 0) goto L9e
            goto L9e
        L4d:
            r-4 = r9
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.attribute.Attribute r-3 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.attribute.Attributes.GRAVITY
            r-2 = 4590429028186199163(0x3fb47ae147ae147b, double:0.08)
            r-1 = -4616189618054758400(0xbff0000000000000, double:-1.0)
            r0 = 4607182418800017408(0x3ff0000000000000, double:1.0)
            cn.dg32z.lon.utils.data.attribute.ValuedAttribute r-3 = cn.dg32z.lon.utils.data.attribute.ValuedAttribute.ranged(r-3, r-2, r-1, r0)
            r-2 = r10
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion r-1 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion.V_1_20_5
            r0 = 1150947353(0x449a1019, float:1232.503)
            r1 = 1086657364(0x40c51354, float:6.1586094)
            float r0 = r0 - r1
            r1 = 1150896902(0x44994b06, float:1226.3445)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L14
            goto L25
        L6d:
            r-4.trackAttribute(r-3)
            r-4 = 1150700783(0x44964cef, float:1202.4042)
            r-3 = 1090209134(0x40fb456e, float:7.8522253)
            float r-4 = r-4 - r-3
            r-3 = 1150636458(0x449551aa, float:1194.552)
            int r-4 = (r-4 > r-3 ? 1 : (r-4 == r-3 ? 0 : -1))
            if (r-4 == 0) goto Lb3
            goto Lb3
        L7e:
            r0 = r9
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.attribute.Attribute r1 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.attribute.Attributes.SCALE
            r2 = 4607182418800017408(0x3ff0000000000000, double:1.0)
            r3 = 4589168020290535424(0x3fb0000000000000, double:0.0625)
            r4 = 4625196817309499392(0x4030000000000000, double:16.0)
            cn.dg32z.lon.utils.data.attribute.ValuedAttribute r1 = cn.dg32z.lon.utils.data.attribute.ValuedAttribute.ranged(r1, r2, r3, r4)
            r2 = r10
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion r3 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion.V_1_20_5
            r4 = 1153058150(0x44ba4566, float:1490.1687)
            r5 = 1084584543(0x40a5725f, float:5.1702113)
            float r4 = r4 - r5
            r5 = 1153015796(0x44b99ff4, float:1484.9985)
            int r4 = (r4 > r5 ? 1 : (r4 == r5 ? 0 : -1))
            if (r4 == 0) goto L3
            goto L14
        L9e:
            return
        L9f:
            r-6.trackAttribute(r-5)
            r-6 = 4649817941745860608(0x408778c840000000, double:751.0977783203125)
            r-5 = 4591870180066957722(0x3fb999999999999a, double:0.1)
            double r-6 = r-6 - r-5
            r-5 = 1144766428(0x443bbfdc, float:750.9978)
            double r-5 = (double) r-5
            int r-6 = (r-6 > r-5 ? 1 : (r-6 == r-5 ? 0 : -1))
            if (r-6 != 0) goto L4d
            goto L4d
        Lb3:
            r-4 = r9
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.attribute.Attribute r-3 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.attribute.Attributes.STEP_HEIGHT
            r-2 = 4603579539312869376(0x3fe3333340000000, double:0.6000000238418579)
            r-1 = 0
            r0 = 4621819117588971520(0x4024000000000000, double:10.0)
            cn.dg32z.lon.utils.data.attribute.ValuedAttribute r-3 = cn.dg32z.lon.utils.data.attribute.ValuedAttribute.ranged(r-3, r-2, r-1, r0)
            r-2 = r10
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion r-1 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion.V_1_20_5
            r0 = 1152792611(0x44b63823, float:1457.7543)
            r1 = 1096530166(0x415bb8f6, float:13.7326565)
            float r0 = r0 - r1
            r1 = 1152680113(0x44b480b1, float:1444.0216)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L14
            goto L3
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.data.packetentity.PacketEntity.initAttributes(cn.dg32z.lon.player.PlayerData):void");
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void trackAttribute(ValuedAttribute valuedAttribute) {
        if (!this.attributeMap.containsKey(valuedAttribute.attribute()) || 1246.6171f - 13.984268f != 1232.6328f) {
            this.attributeMap.put(valuedAttribute.attribute(), valuedAttribute);
            if (1141.6759033203125d - 0.8d != 1140.8759f) {
                return;
            }
        }
        throw new IllegalArgumentException((String) a((char) 1004273664));
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public SimpleCollisionBox getPossibleLocationBoxes() {
        while (this.oldPacketLocation == null) {
            if (1363.5914f - 5.2308664f == 1358.3606f) {
                return this.newPacketLocation.getPossibleLocationCombined();
            }
        }
        return ReachInterpolationData.combineCollisionBox(this.oldPacketLocation.getPossibleLocationCombined(), this.newPacketLocation.getPossibleLocationCombined());
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public Optional getAttribute(Attribute attribute) {
        return attribute == null ? Optional.empty() : Optional.ofNullable((ValuedAttribute) this.attributeMap.get(attribute));
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void removePotionEffect(PotionType potionType) {
        if (this.potionsMap == null) {
            return;
        }
        do {
            this.potionsMap.removeInt(potionType);
        } while (759.80554f - 8.2038965f != 751.6016f);
    }

    /* JADX WARN: Multi-variable type inference failed */
    static {
        int i;
        byte[] bytes = "i\u0095\u0096ã0¿&Ä\u0005\n?\u001fTö\u0087\u0019\u008c`Å²ÓªQ²zó¬\u00117ó[\u0083«2§G\u0001\u0010ÝQ\u0007Wàô<çÎÂËê\u0098×¸\u0095\u0007\u0007:\u0092\u0014p^ È}-\u0014Gs-¸ºÒ".getBytes("ISO_8859_1");
        byte[] bytes2 = "zfÀ1\u0095è©¿".getBytes("ISO_8859_1");
        int i2 = 0;
        int length = bytes.length;
        do {
            switch (bytes[i2] & 255) {
                case false:
                    i = 555421833;
                    break;
                case true:
                    i = 1763346017;
                    break;
                case true:
                    i = 1526048831;
                    break;
                case true:
                    i = 540858647;
                    break;
                case true:
                    i = 992603966;
                    break;
                case true:
                    i = -1562479664;
                    break;
                case true:
                    i = 896245977;
                    break;
                case true:
                    i = 460248109;
                    break;
                case true:
                    i = 1040900523;
                    break;
                case true:
                    i = -1727126328;
                    break;
                case true:
                    i = -2111997438;
                    break;
                case true:
                    i = -10877387;
                    break;
                case true:
                    i = 1714039539;
                    break;
                case true:
                    i = -24608755;
                    break;
                case true:
                    i = 1372962376;
                    break;
                case true:
                    i = -977303357;
                    break;
                case true:
                    i = 911765073;
                    break;
                case true:
                    i = 1977084178;
                    break;
                case true:
                    i = -1239941022;
                    break;
                case true:
                    i = 1701567170;
                    break;
                case true:
                    i = 1031107622;
                    break;
                case true:
                    i = 1323520701;
                    break;
                case true:
                    i = 90634718;
                    break;
                case true:
                    i = 1650416838;
                    break;
                case true:
                    i = -1788417122;
                    break;
                case true:
                    i = -1613861736;
                    break;
                case true:
                    i = -277170136;
                    break;
                case true:
                    i = -1832405678;
                    break;
                case true:
                    i = -1527217284;
                    break;
                case true:
                    i = -387684321;
                    break;
                case true:
                    i = 2027749723;
                    break;
                case true:
                    i = -845027910;
                    break;
                case true:
                    i = -533392917;
                    break;
                case true:
                    i = 1561214454;
                    break;
                case true:
                    i = -398582776;
                    break;
                case true:
                    i = -2128354190;
                    break;
                case true:
                    i = 2040436463;
                    break;
                case true:
                    i = -1089575570;
                    break;
                case true:
                    i = -1942712502;
                    break;
                case true:
                    i = 2106070051;
                    break;
                case true:
                    i = 480594983;
                    break;
                case true:
                    i = -993424473;
                    break;
                case true:
                    i = -1707176718;
                    break;
                case true:
                    i = 868478263;
                    break;
                case true:
                    i = 756821119;
                    break;
                case true:
                    i = -293299493;
                    break;
                case true:
                    i = -670819954;
                    break;
                case true:
                    i = -1839816383;
                    break;
                case true:
                    i = -1704232353;
                    break;
                case true:
                    i = 1568021112;
                    break;
                case true:
                    i = 574962127;
                    break;
                case true:
                    i = -739006814;
                    break;
                case true:
                    i = -299347457;
                    break;
                case true:
                    i = 747759148;
                    break;
                case true:
                    i = -1714451776;
                    break;
                case true:
                    i = 2006472527;
                    break;
                case true:
                    i = -691912648;
                    break;
                case true:
                    i = 760449534;
                    break;
                case true:
                    i = 1787507490;
                    break;
                case true:
                    i = 651896808;
                    break;
                case true:
                    i = 1717989599;
                    break;
                case true:
                    i = 1371333866;
                    break;
                case true:
                    i = -345566801;
                    break;
                case true:
                    i = 691412380;
                    break;
                case true:
                    i = -1773542596;
                    break;
                case true:
                    i = -234625121;
                    break;
                case true:
                    i = -1410828247;
                    break;
                case true:
                    i = -1057653365;
                    break;
                case true:
                    i = 1031979433;
                    break;
                case true:
                    i = 147025159;
                    break;
                case true:
                    i = -710738877;
                    break;
                case true:
                    i = 999219766;
                    break;
                case true:
                    i = -1699560520;
                    break;
                case true:
                    i = 1362140937;
                    break;
                case true:
                    i = -920578024;
                    break;
                case true:
                    i = -625723273;
                    break;
                case true:
                    i = 1061371533;
                    break;
                case true:
                    i = 1494704215;
                    break;
                case true:
                    i = -955341357;
                    break;
                case true:
                    i = -122075219;
                    break;
                case true:
                    i = -1407889066;
                    break;
                case true:
                    i = 1500882776;
                    break;
                case true:
                    i = -1006473632;
                    break;
                case true:
                    i = -786840237;
                    break;
                case true:
                    i = 948907911;
                    break;
                case true:
                    i = 1572259730;
                    break;
                case true:
                    i = -1219203424;
                    break;
                case true:
                    i = 1079584477;
                    break;
                case true:
                    i = 135898671;
                    break;
                case true:
                    i = -1743974956;
                    break;
                case true:
                    i = 272785674;
                    break;
                case true:
                    i = 743741807;
                    break;
                case true:
                    i = 1571765771;
                    break;
                case true:
                    i = -92717287;
                    break;
                case true:
                    i = -931344579;
                    break;
                case true:
                    i = 1521673840;
                    break;
                case true:
                    i = -1420779248;
                    break;
                case true:
                    i = 1559546615;
                    break;
                case true:
                    i = 1414707033;
                    break;
                case true:
                    i = 2107976221;
                    break;
                case true:
                    i = 1380459432;
                    break;
                case true:
                    i = -886259755;
                    break;
                case true:
                    i = -2024640069;
                    break;
                case true:
                    i = -1696163789;
                    break;
                case true:
                    i = 1398839578;
                    break;
                case true:
                    i = -2071402204;
                    break;
                case true:
                    i = 1016758138;
                    break;
                case true:
                    i = -2061976385;
                    break;
                case true:
                    i = -1177428861;
                    break;
                case true:
                    i = -652501806;
                    break;
                case true:
                    i = 75324180;
                    break;
                case true:
                    i = 2138894198;
                    break;
                case true:
                    i = -1964532283;
                    break;
                case true:
                    i = 1120665332;
                    break;
                case true:
                    i = 1640464403;
                    break;
                case true:
                    i = -689768263;
                    break;
                case true:
                    i = -1920109465;
                    break;
                case true:
                    i = -589958184;
                    break;
                case true:
                    i = -534302810;
                    break;
                case true:
                    i = -72351860;
                    break;
                case true:
                    i = -1976221076;
                    break;
                case true:
                    i = -103289349;
                    break;
                case true:
                    i = -416693964;
                    break;
                case true:
                    i = -1486857892;
                    break;
                case true:
                    i = 1396398961;
                    break;
                case true:
                    i = -212317031;
                    break;
                case true:
                    i = 171603457;
                    break;
                case true:
                    i = -1223044791;
                    break;
                case true:
                    i = 977143963;
                    break;
                case true:
                    i = 439418760;
                    break;
                case true:
                    i = 1649089509;
                    break;
                case true:
                    i = 2081122337;
                    break;
                case true:
                    i = -1240181627;
                    break;
                case true:
                    i = -1226202376;
                    break;
                case true:
                    i = 1770978075;
                    break;
                case true:
                    i = 1555219812;
                    break;
                case true:
                    i = 829048529;
                    break;
                case true:
                    i = 1760905549;
                    break;
                case true:
                    i = -785063487;
                    break;
                case true:
                    i = 1055834448;
                    break;
                case true:
                    i = -238623263;
                    break;
                case true:
                    i = -1656050766;
                    break;
                case true:
                    i = -728417472;
                    break;
                case true:
                    i = -2058762635;
                    break;
                case true:
                    i = 337817361;
                    break;
                case true:
                    i = -853383951;
                    break;
                case true:
                    i = -518680455;
                    break;
                case true:
                    i = -1721895834;
                    break;
                case true:
                    i = -176461931;
                    break;
                case true:
                    i = 1443920964;
                    break;
                case true:
                    i = -967647354;
                    break;
                case true:
                    i = 1692420445;
                    break;
                case true:
                    i = 1564237466;
                    break;
                case true:
                    i = -227839258;
                    break;
                case true:
                    i = -1959225419;
                    break;
                case true:
                    i = -1979766004;
                    break;
                case true:
                    i = 589339044;
                    break;
                case true:
                    i = -1522241130;
                    break;
                case true:
                    i = 46286736;
                    break;
                case true:
                    i = 630465322;
                    break;
                case true:
                    i = 883325546;
                    break;
                case true:
                    i = -1520864384;
                    break;
                case true:
                    i = 444738123;
                    break;
                case true:
                    i = -512776530;
                    break;
                case true:
                    i = 360893819;
                    break;
                case true:
                    i = -542936554;
                    break;
                case true:
                    i = -303616669;
                    break;
                case true:
                    i = -973001746;
                    break;
                case true:
                    i = -1527028342;
                    break;
                case true:
                    i = -911216283;
                    break;
                case true:
                    i = -2021636;
                    break;
                case true:
                    i = -1341323973;
                    break;
                case true:
                    i = -437281533;
                    break;
                case true:
                    i = -1089045072;
                    break;
                case true:
                    i = -1322629194;
                    break;
                case true:
                    i = 1682221698;
                    break;
                case true:
                    i = 852982743;
                    break;
                case true:
                    i = 827322599;
                    break;
                case true:
                    i = 2020149318;
                    break;
                case true:
                    i = -1230150641;
                    break;
                case true:
                    i = 6829813;
                    break;
                case true:
                    i = -1086420829;
                    break;
                case true:
                    i = 1791889658;
                    break;
                case true:
                    i = 437035165;
                    break;
                case true:
                    i = -1827182972;
                    break;
                case true:
                    i = 1729312512;
                    break;
                case true:
                    i = -335155719;
                    break;
                case true:
                    i = -1689238229;
                    break;
                case true:
                    i = -1281085994;
                    break;
                case true:
                    i = -1825723732;
                    break;
                case true:
                    i = -1953593108;
                    break;
                case true:
                    i = -245574068;
                    break;
                case true:
                    i = -10486187;
                    break;
                case true:
                    i = -1235621618;
                    break;
                case true:
                    i = 402435076;
                    break;
                case true:
                    i = -99465368;
                    break;
                case true:
                    i = 1348923028;
                    break;
                case true:
                    i = -1901617036;
                    break;
                case true:
                    i = 918428644;
                    break;
                case true:
                    i = 83083441;
                    break;
                case true:
                    i = 1922151275;
                    break;
                case true:
                    i = 1430546225;
                    break;
                case true:
                    i = -1935083300;
                    break;
                case true:
                    i = 1777186654;
                    break;
                case true:
                    i = -638997458;
                    break;
                case true:
                    i = 243505209;
                    break;
                case true:
                    i = -244217859;
                    break;
                case true:
                    i = -1837551924;
                    break;
                case true:
                    i = -385247062;
                    break;
                case true:
                    i = -1663857598;
                    break;
                case true:
                    i = -1037332019;
                    break;
                case true:
                    i = 873588194;
                    break;
                case true:
                    i = -10751797;
                    break;
                case true:
                    i = 84496414;
                    break;
                case true:
                    i = 764205882;
                    break;
                case true:
                    i = -1612655420;
                    break;
                case true:
                    i = -1697518571;
                    break;
                case true:
                    i = -1486279277;
                    break;
                case true:
                    i = 200969756;
                    break;
                case true:
                    i = -874819323;
                    break;
                case true:
                    i = 1421652442;
                    break;
                case true:
                    i = -798784068;
                    break;
                case true:
                    i = 1170440496;
                    break;
                case true:
                    i = -659908955;
                    break;
                case true:
                    i = 136592455;
                    break;
                case true:
                    i = -2090666865;
                    break;
                case true:
                    i = -8015721;
                    break;
                case true:
                    i = 213296368;
                    break;
                case true:
                    i = -2020738911;
                    break;
                case true:
                    i = 1786883966;
                    break;
                case true:
                    i = 1339908481;
                    break;
                case true:
                    i = 1927982573;
                    break;
                case true:
                    i = -1696655945;
                    break;
                case true:
                    i = 1690928718;
                    break;
                case true:
                    i = 1986053204;
                    break;
                case true:
                    i = -495419981;
                    break;
                case true:
                    i = -1708843982;
                    break;
                case true:
                    i = -754772704;
                    break;
                case true:
                    i = -1026357817;
                    break;
                case true:
                    i = 1061395345;
                    break;
                case true:
                    i = -1848556538;
                    break;
                case true:
                    i = -431097475;
                    break;
                case true:
                    i = 816192325;
                    break;
                case true:
                    i = 1207175657;
                    break;
                case true:
                    i = 110726181;
                    break;
                case true:
                    i = 1292182729;
                    break;
                case true:
                    i = 1318247258;
                    break;
                case true:
                    i = -2110002226;
                    break;
                case true:
                    i = -453204631;
                    break;
                case true:
                    i = 1997510836;
                    break;
                case true:
                    i = 1082330083;
                    break;
                case true:
                    i = 1994026861;
                    break;
                case true:
                    i = 143925875;
                    break;
                case true:
                    i = -1410390582;
                    break;
                case true:
                    i = 1803648958;
                    break;
                case true:
                    i = -661010976;
                    break;
                default:
                    i = -734886629;
                    break;
            }
            int i3 = i2;
            i2++;
            bytes[i3] = (byte) i;
        } while (i2 != length);
        Cipher cipher = Cipher.getInstance("DES/CBC/PKCS5Padding");
        cipher.init(2, SecretKeyFactory.getInstance("DES").generateSecret(new DESKeySpec(bytes2)), new IvParameterSpec(new byte[8]));
        byte[] doFinal = cipher.doFinal(bytes);
        int length2 = doFinal.length;
        MessageDigest messageDigest = MessageDigest.getInstance("SHA-256");
        messageDigest.reset();
        int i4 = length2 - 32;
        messageDigest.update(doFinal, 0, i4);
        byte[] digest = messageDigest.digest();
        int i5 = 0;
        Object[] objArr = false;
        int i6 = 0;
        do {
            objArr = (objArr == true ? 1 : 0) | (doFinal[i4 + i5] ^ digest[i5]) ? 1 : 0;
            i5++;
        } while (i5 != 32);
        if (objArr == true) {
            return;
        }
        Object[] objArr2 = new Object[1];
        a = objArr2;
        int i7 = 0;
        do {
            int i8 = i7;
            int i9 = i7 + 1;
            int i10 = i9 + 1;
            int i11 = (doFinal[i8] & 255) | ((doFinal[i9] & 255) << 8);
            byte[] bArr = new byte[i11];
            System.arraycopy(doFinal, i10, bArr, 0, i11);
            i7 = i10 + i11;
            int i12 = i6;
            i6++;
            objArr2[i12] = new String(bArr, "UTF-8").intern();
        } while (i7 != i4);
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -2
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void onMovement(boolean r8) {
        /*
            r7 = this;
            goto L6c
        L3:
            r0 = r7
            cn.dg32z.lon.utils.data.ReachInterpolationData r0 = r0.oldPacketLocation
            r1 = 1
            r2 = r8
            r0.tickMovement(r1, r2)
            r0 = 1151710036(0x44a5b354, float:1325.604)
            r1 = 1094730645(0x41404395, float:12.0164995)
            float r0 = r0 - r1
            r1 = 1151611597(0x44a432cd, float:1313.5875)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L33
            goto L4c
        L1d:
            r0 = r8
            r-2.tickMovement(r-1, r0)
            r-2 = 4649870534694141952(0x4087a89d80000000, double:757.076904296875)
            r-1 = 4605380978949069210(0x3fe999999999999a, double:0.8)
            double r-2 = r-2 - r-1
            r-1 = 1144852921(0x443d11b9, float:756.2769)
            double r-1 = (double) r-1
            int r-2 = (r-2 > r-1 ? 1 : (r-2 == r-1 ? 0 : -1))
            if (r-2 != 0) goto L33
            goto L4c
        L33:
            r0 = r7
            cn.dg32z.lon.utils.data.ReachInterpolationData r0 = r0.oldPacketLocation
            if (r0 == 0) goto L4b
            r0 = 1146157696(0x4450fa80, float:835.91406)
            r1 = 1091408226(0x410d9162, float:8.847994)
            float r0 = r0 - r1
            r1 = 1146012730(0x444ec43a, float:827.06604)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L4b
            goto L3
        L4b:
            return
        L4c:
            r0 = r7
            cn.dg32z.lon.utils.data.ReachInterpolationData r0 = r0.newPacketLocation
            r1 = r7
            cn.dg32z.lon.utils.data.ReachInterpolationData r1 = r1.oldPacketLocation
            cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r1 = r1.getPossibleLocationCombined()
            r0.updatePossibleStartingLocation(r1)
            r0 = 4653654864738385920(0x40951a7180000000, double:1350.61083984375)
            r1 = 4606281698874543309(0x3feccccccccccccd, double:0.9)
            double r0 = r0 - r1
            r1 = 1151907519(0x44a8b6bf, float:1349.7108)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L4b
            goto L4b
        L6c:
            r0 = r7
            cn.dg32z.lon.utils.data.ReachInterpolationData r0 = r0.newPacketLocation
            r1 = r7
            cn.dg32z.lon.utils.data.ReachInterpolationData r1 = r1.oldPacketLocation
            if (r1 != 0) goto L7b
            r1 = 1
            goto L1d
        L7b:
            r1 = 0
            r2 = 4650765800225898496(0x408ad6dac0000000, double:858.8568115234375)
            r3 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            double r2 = r2 - r3
            r3 = 1146523760(0x44569070, float:858.25684)
            double r3 = (double) r3
            int r2 = (r2 > r3 ? 1 : (r2 == r3 ? 0 : -1))
            if (r2 == 0) goto L1d
            goto L1d
            throw r1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.data.packetentity.PacketEntity.onMovement(boolean):void");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void eject() {
        do {
            if (this.riding != null && 1424.6117f - 13.230409f == 1411.3812f) {
                this.riding.passengers.remove(this);
                if (1138.3706f - 7.1668334f == 1131.2037f) {
                }
            }
            this.riding = null;
        } while (1294.8779f - 6.665716f != 1288.2122f);
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void onSecondTransaction() {
        do {
            this.oldPacketLocation = null;
        } while (1200.1094f - 10.789888f != 1189.3195f);
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void resetAttributes() {
        do {
            this.attributeMap.values().forEach((v0) -> {
                v0.reset();
            });
        } while (1030.09228515625d - 0.6d == 1029.4923f);
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public boolean hasPotionEffect(cn.dg32z.libs.com.github.retrooper.packetevents.protocol.potion.PotionType r7) {
        /*
            r6 = this;
            goto L4
        L3:
            return r-1
        L4:
            r0 = r6
            cn.dg32z.libs.it.unimi.dsi.fastutil.objects.Object2IntMap r0 = r0.potionsMap
            if (r0 == 0) goto L1c
            r0 = r6
            cn.dg32z.libs.it.unimi.dsi.fastutil.objects.Object2IntMap r0 = r0.potionsMap
            r1 = r7
            boolean r0 = r0.containsKey(r1)
            if (r0 == 0) goto L1c
            r0 = 1
            goto L3
        L1c:
            r0 = 0
            r1 = 4651113928800075776(0x408c1379c0000000, double:898.4344482421875)
            r2 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            double r1 = r1 - r2
            r2 = 1147172200(0x44607568, float:897.8345)
            double r2 = (double) r2
            int r1 = (r1 > r2 ? 1 : (r1 == r2 ? 0 : -1))
            if (r1 == 0) goto L3
            goto L3
            throw r0
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.data.packetentity.PacketEntity.hasPotionEffect(cn.dg32z.libs.com.github.retrooper.packetevents.protocol.potion.PotionType):boolean");
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:59)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:19)
        */
    /* JADX WARN: Removed duplicated region for block: B:12:? A[LOOP:0: B:1:0x0003->B:12:?, LOOP_END, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:7:0x0053 A[SYNTHETIC] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:6:0x004d -> B:9:0x0020). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void mount(cn.dg32z.lon.utils.data.packetentity.PacketEntity r6) {
        /*
            r5 = this;
            goto L3
        L3:
            r0 = r5
            cn.dg32z.lon.utils.data.packetentity.PacketEntity r0 = r0.riding
            if (r0 == 0) goto L20
            r0 = r5
            r0.eject()
            r0 = 4653702321979523072(0x4095459b00000000, double:1361.4013671875)
            r1 = 4604480259023595110(0x3fe6666666666666, double:0.7)
            double r0 = r0 - r1
            r1 = 1151997554(0x44aa1672, float:1360.7014)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L20
            goto L3c
        L20:
            r0 = r6
            java.util.List r0 = r0.passengers
            r1 = r5
            boolean r0 = r0.add(r1)
            r0 = 1147904386(0x446ba182, float:942.52356)
            r1 = 1094446007(0x413bebb7, float:11.745048)
            float r0 = r0 - r1
            r1 = 1147711955(0x4468b1d3, float:930.7785)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L3c
            goto L3
        L3c:
            r0 = r5
            r1 = r6
            r0.riding = r1
            r0 = 4648566338346811392(0x40830674a0000000, double:608.8069458007812)
            r1 = 4596373779694328218(0x3fc999999999999a, double:0.2)
            double r0 = r0 - r1
            r1 = 1142433496(0x441826d8, float:608.60693)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L20
            goto L53
        L53:
            return
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.data.packetentity.PacketEntity.mount(cn.dg32z.lon.utils.data.packetentity.PacketEntity):void");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public PacketEntity getRiding() {
        return this.riding;
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public CollisionBox getMinimumPossibleCollisionBoxes() {
        if (this.oldPacketLocation != null) {
            return ReachInterpolationData.getOverlapHitbox(this.oldPacketLocation.getOverlapHitboxCombined(), this.newPacketLocation.getOverlapHitboxCombined());
        }
        if (890.2047f - 6.434415f != 883.7703f) {
        }
        return this.newPacketLocation.getOverlapHitboxCombined();
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -2
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:21:0x0253 -> B:6:0x000e). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:23:0x016b -> B:58:0x0259). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:35:0x01ed -> B:6:0x000e). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:47:0x00ec -> B:14:0x01bb). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:55:0x0186 -> B:10:0x00f2). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:55:0x0186 -> B:6:0x000e). Please report as a decompilation issue!!! */
    public void onFirstTransaction(boolean r13, boolean r14, double r15, double r17, double r19, cn.dg32z.lon.player.PlayerData r21) {
        /*
            Method dump skipped, instructions count: 628
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.data.packetentity.PacketEntity.onFirstTransaction(boolean, boolean, double, double, double, cn.dg32z.lon.player.PlayerData):void");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void addPotionEffect(PotionType potionType, int i) {
        while (this.potionsMap == null) {
            if (1328.3681640625d - 0.3d != 1328.0681f) {
                this.potionsMap = new Object2IntOpenHashMap();
                if (993.0242309570312d - 0.8d == 992.22424f) {
                    break;
                }
            }
            this.potionsMap.defaultReturnValue(-1);
            if (1173.0146f - 9.981259f == 1163.0334f) {
                break;
            }
        }
        this.potionsMap.put(potionType, i);
        if (1325.8931f - 7.9872327f != 1317.9059f) {
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public SimpleCollisionBox getPossibleCollisionBoxes() {
        while (this.oldPacketLocation == null) {
            if (589.9592895507812d - 0.7d != 589.2593f) {
                return this.newPacketLocation.getPossibleHitboxCombined();
            }
        }
        return ReachInterpolationData.combineCollisionBox(this.oldPacketLocation.getPossibleHitboxCombined(), this.newPacketLocation.getPossibleHitboxCombined());
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public boolean hasPassenger(PacketEntity packetEntity) {
        return this.passengers.contains(packetEntity);
    }

    public PacketEntity(PlayerData playerData, EntityType entityType) {
        super(entityType);
        this.attributeMap = new IdentityHashMap();
        this.passengers = new ArrayList(0);
        this.isDead = false;
        this.isBaby = false;
        this.hasGravity = true;
        this.potionsMap = null;
        this.uuid = null;
        initAttributes(playerData);
        this.trackedServerPosition = new TrackedPosition();
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public OptionalInt getPotionEffectLevel(PotionType potionType) {
        int i;
        if (this.potionsMap == null) {
            i = -1;
        } else {
            i = this.potionsMap.getInt(potionType);
            if (1265.7986f - 5.7861958f == 1260.0123f) {
            }
        }
        int i2 = i;
        if (562.5652465820312d - 0.2d == 562.36523f) {
        }
        if (i2 == -1) {
            return OptionalInt.empty();
        }
        OptionalInt of = OptionalInt.of(i2);
        if (957.1375122070312d - 0.6d == 956.53754f) {
        }
        return of;
    }

    private static Object a(char c) {
        return ((Object[]) a)[c];
    }

    public void setAttribute(Attribute attribute, double value) {
        ValuedAttribute property = (ValuedAttribute) this.attributeMap.get(attribute);
        if (property == null) {
            throw new IllegalArgumentException("Cannot set attribute " + String.valueOf(attribute.getName()) + " for entity " + getType().getName().toString() + "!");
        }
        property.override(value);
    }

    public void setPositionRaw(PlayerData player, SimpleCollisionBox box) {
        this.trackedServerPosition.setPos(new Vector3d(((box.maxX - box.minX) / 2.0d) + box.minX, box.minY, ((box.maxZ - box.minZ) / 2.0d) + box.minZ));
        this.newPacketLocation = new ReachInterpolationData(player, box, this);
    }
}
